local L = AceLibrary("AceLocale-2.2"):new("MetaMapIconPack")
L:RegisterTranslations("enUS", function() return {
	["MetaMap Iconpack"] = true,
	["Yellow Square"] = true,
	["Red Square"] = true,
	["Purple Square"] = true,
	["Green Square"] = true,
	["Pink Square"] = true,
	["Yellow Star"] = true,
	["Red Star"] = true,
	["Purple Star"] = true,
	["Green Star"] = true,
	["Pink Star"] = true,	
} end)

L:RegisterTranslations("deDE", function() return {
	["MetaMap Iconpack"] = "MetaMap-Symbolpaket",
	["Yellow Square"] = "Gelbes Quadrat",
	["Red Square"] = "Rotes Quadrat",
	["Purple Square"] = "Violettes Quadrat",
	["Green Square"] = "Grünes Quadrat",
	["Pink Square"] = "Rosa Quadrat",
	["Yellow Star"] = "Gelber Stern",
	["Red Star"] = "Roter Stern",
	["Purple Star"] = "Violetter Stern",
	["Green Star"] = "Grüner Stern",
	["Pink Star"] = "Rosa Stern",	
} end)

L:RegisterTranslations("koKR", function() return {
	["MetaMap Iconpack"] = "메타맵 아이콘 팩",
	["Yellow Square"] = "사각형(노랑)",
	["Red Square"] = "사각형(빨강)",
	["Purple Square"] = "사각형(보라)",
	["Green Square"] = "사각형(녹색)",
	["Pink Square"] = "사각형(분홍)",
	["Yellow Star"] = "별(노랑)",
	["Red Star"] = "별(빨강)",
	["Purple Star"] = "별(보라)",
	["Green Star"] = "별(녹색)",
	["Pink Star"] = "별(분홍)",	
} end)

local pack = AceLibrary("AceAddon-2.0"):new()
function pack:OnInitialize()
	local iconPath = "Interface\\Addons\\Cartographer_Icons_MetaMapPAck\\"
     Cartographer_Icons:RegisterPack('metamap_iconpack',L["MetaMap Iconpack"])
     Cartographer_Icons:RegisterNewIcon('metamap_iconpack',"Yellow Square",L["Yellow Square"],iconPath.."Icon0")
     Cartographer_Icons:RegisterNewIcon('metamap_iconpack',"Red Square",L["Red Square"],iconPath.."Icon1")
     Cartographer_Icons:RegisterNewIcon('metamap_iconpack',"Purple Square",L["Purple Square"],iconPath.."Icon2")
     Cartographer_Icons:RegisterNewIcon('metamap_iconpack',"Green Square",L["Green Square"],iconPath.."Icon3")
     Cartographer_Icons:RegisterNewIcon('metamap_iconpack',"Pink Square",L["Pink Square"],iconPath.."Icon4")
     Cartographer_Icons:RegisterNewIcon('metamap_iconpack',"Yellow Star",L["Yellow Star"],iconPath.."Icon5")
     Cartographer_Icons:RegisterNewIcon('metamap_iconpack',"Red Star",L["Red Star"],iconPath.."Icon6")
     Cartographer_Icons:RegisterNewIcon('metamap_iconpack',"Purple Star",L["Purple Star"],iconPath.."Icon7")
     Cartographer_Icons:RegisterNewIcon('metamap_iconpack',"Green Star",L["Green Star"],iconPath.."Icon8")
     Cartographer_Icons:RegisterNewIcon('metamap_iconpack',"Pink Star",L["Pink Star"],iconPath.."Icon9")
end